@echo	off

rem	Change the following settings according to the system and user.
rem	VCHOME	    : The directory where you installed the MS/VC++ development environment
rem	JAVAHOME    : Directory where you installed the Java development environment
rem	MYHOME      : Directory where you installed the TDS package
rem
rem	Place the following JNA related files in. \ As the JAVA execution environment.
rem	jna.jar


rem	下記設定をシステム及びユーザにあわせて変更すること。
rem	VCHOME      : MS/VC++ の開発環境をインストールしたディレクトリ
rem	JAVAHOME    : Java    の開発環境をインストールしたディレクトリ
rem	MYHOME      : TDS パッケージをインストールしたディレクトリ
rem
rem	JAVA 実行環境として、.\ に、以下の JNA 関連ファイルを配置すること。
rem	jna.jar


	set	PROGDIR=c:\Program Files (x86)
	set	VCHOME=c:
rem	if not	exist "%VCHOME%\VC" set VCHOME=%PROGDIR%\Microsoft Visual Studio 9.0
rem	if not	exist "%VCHOME%\VC" set VCHOME=%PROGDIR%\Microsoft Visual Studio 10.0
rem	if not	exist "%VCHOME%\VC" set VCHOME=%PROGDIR%\Microsoft Visual Studio 11.0
	if not	exist "%VCHOME%\VC" set VCHOME=%PROGDIR%\Microsoft Visual Studio 12.0
	if not	exist "%VCHOME%\VC" set VCHOME=%PROGDIR%\Microsoft Visual Studio 14.0
	if not	exist "%VCHOME%\VC" set VCHOME=%PROGDIR%\Microsoft Visual Studio 15.0
	set	MSVCDir=%VCHOME%\VC

	if not	exist "%JAVA_HOME%" (
	  set	JAVADIR="c:\Program Files (x86)\Java"
rem	  set	JAVA_HOME=%JAVADIR%\jdk1.8.0_11
	  set	JAVA_HOME=%JAVADIR%\jdk1.7.0_65
rem	  set	JAVA_HOME=%JAVADIR%\jdk1.6.0_17
rem	  set	JAVA_HOME=%JAVADIR%\jdk1.5.0_15
	)

	set	MYHOME=..

	call	"%MSVCDir%\vcvarsall.bat" amd64
	set	PATH=%PATH%;%JAVA_HOME%\bin

	set	CLASSPATH=%CLASSPATH%;.
	set	CLASSPATH=%CLASSPATH%;jna.jar
	set	CLASSPATH=%CLASSPATH%;%MYHOME%
	set	CLASSPATH=%CLASSPATH%;%MYHOME%\TDJVS.jar
	set	CLASSPATH=%CLASSPATH%;%MYHOME%\TDS.jar

	set	PROGDIR=
	set	JAVADIR=
	set	VCHOME=
	set	MSVCDir=
	set	MYHOME=

